package es.dalocar.facturamas.swt.components;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import com.swtdesigner.SWTResourceManager;

public class NumElementosComposite extends Composite {
	private Text text;
	private Label lblNmeroDeElementos;

	/**
	 * Create the composite.
	 * @param parent
	 * @param style
	 */
	public NumElementosComposite(Composite parent, int style) {
		super(parent, style);
		
		Group group = new Group(this, SWT.NONE);
		group.setBounds(10, 0, 303, 48);
		
		lblNmeroDeElementos = new Label(group, SWT.CENTER);
		lblNmeroDeElementos.setFont(SWTResourceManager.getFont("Arial", 13, SWT.BOLD));
		lblNmeroDeElementos.setAlignment(SWT.RIGHT);
		lblNmeroDeElementos.setBounds(10, 10, 199, 30);
		lblNmeroDeElementos.setText("N\u00FAmero de elementos:");
		
		text = new Text(group, SWT.BORDER);
		text.setFont(SWTResourceManager.getFont("Arial", 14, SWT.NORMAL));
		text.setEditable(false);
		text.setBounds(215, 10, 67, 30);

	}

	/**
	 * @return the text
	 */
	public Text getText() {
		return text;
	}

	/**
	 * @param text the text to set
	 */
	public void setText(Text text) {
		this.text = text;
	}

	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}
	public Label getLblNmeroDeElementos() {
		return lblNmeroDeElementos;
	}
}
